// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      Fit/Minimizer/IMinimizer.cpp
//! @brief     Implements class IMinimizer.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2015
//! @authors   Scientific Computing Group at MLZ Garching
//! @authors   C. Durniak, M. Ganeva, G. Pospelov, W. Van Herck, J. Wuttke
//
// ************************************************************************** //

#include "IMinimizer.h"

std::string IMinimizer::minimizerName() const
{
    return std::string();
}

std::string IMinimizer::algorithmName() const
{
    return std::string();
}

void IMinimizer::minimize()
{
    throw std::runtime_error("IMinimizer::minimize() -> Not implemented.");
}

void IMinimizer::clear()
{
    throw std::runtime_error("IMinimizer::clear() -> Not implemented.");
}

void IMinimizer::setParameters(const FitParameterSet & /*parameters*/)
{
    throw std::runtime_error("IMinimizer::setParameters() -> Not implemented.");
}

double IMinimizer::getMinValue() const
{
    throw std::runtime_error("IMinimizer::getMinValue() -> Not implemented.");
}

std::string IMinimizer::reportResults() const
{
    throw std::runtime_error("IMinimizer::reportResults() -> Not implemented.");
}


void IMinimizer::propagateResults(FitParameterSet &/*parameters*/)
{
    throw std::runtime_error("IMinimizer::propagateResults() -> Not implemented.");

}
