// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      Fit/Minimizer/MinimizerOptions.h
//! @brief     Declares class MinimizerOptions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2015
//! @authors   Scientific Computing Group at MLZ Garching
//! @authors   C. Durniak, M. Ganeva, G. Pospelov, W. Van Herck, J. Wuttke
//
// ************************************************************************** //

#ifndef MINIMIZEROPTIONS_H
#define MINIMIZEROPTIONS_H

#include "OptionContainer.h"

//! @class MinimizerOptions
//! @ingroup fitting_internal
//! @brief The MinimizerOptions class holds collection of internal minimizer settings.

class BA_CORE_API_ MinimizerOptions : public OptionContainer {
public:

    //! Returns string with all options using given delimeter
    std::string toOptionString(const std::string &delimeter=";") const;

};

#endif
